> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get form by slug

> Public endpoint to fetch a form definition by its slug.



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json get /forms/getBySlug/{slug}
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /forms/getBySlug/{slug}:
    get:
      tags:
        - Forms
      summary: Get form by slug
      description: Public endpoint to fetch a form definition by its slug.
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            type: string
            example: contact-us
          description: Form slug.
      responses:
        '200':
          description: OK
        '404':
          description: Not found
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````